View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18090Bug reportsInstallationpublic2022-05-17 14:28
Reportersegui Assigned Toc_schmitz  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18090: LetsEncrypt expired certification when downloading LimeSurvey installation package
Description

An "Issued certificate has expired." error shows up when trying to download LimeSUrvey installation packages (no matter the version) from https://download.limesurvey.org.

Steps To Reproduce

Steps to reproduce

On a linux prompt:
[...]# wget https://download.limesurvey.org/latest-stable-release/limesurvey5.3.12+220502.zip

Expected result

ssl certificate is valid and package limesurvey5.3.12+220502.zip is downloaded.

Actual result

This is shown (and package is not downloaded):
--2022-05-06 09:43:32-- https://download.limesurvey.org/latest-stable-release/limesurvey5.3.12+220502.zip
Resolving download.limesurvey.org (download.limesurvey.org)... 88.198.94.203
Connecting to download.limesurvey.org (download.limesurvey.org)|88.198.94.203|:443... connected.
ERROR: cannot verify download.limesurvey.org's certificate, issued by ‘/C=US/O=Let's Encrypt/CN=R3’:
Issued certificate has expired.
To connect to download.limesurvey.org insecurely, use `--no-check-certificate'.

TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)5.3.9+220411
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmysql Ver 15.1 Distrib 10.5.11-MariaDB, for Linux (x86_64)
Server OS (if known)Red Hat Enterprise Linux Server release 7.9
Webserver software & version (if known)
PHP Version7.2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

c_schmitz

c_schmitz

2022-05-17 14:28

administrator   ~69726

Thank you - it has been resolved now.

Issue History

Date Modified Username Field Change
2022-05-06 15:52 segui New Issue
2022-05-13 15:07 gabrieljenik Assigned To => c_schmitz
2022-05-13 15:07 gabrieljenik Status new => assigned
2022-05-17 14:28 c_schmitz Status assigned => closed
2022-05-17 14:28 c_schmitz Resolution open => fixed
2022-05-17 14:28 c_schmitz Note Added: 69726
2022-05-17 14:28 c_schmitz Bug heat 0 => 2